#ifndef _BALL_TRACKER_H
#define _BALL_TRACKER_H

#include "../../stdafx.h"

class Ball_Tracker : public IO_Module
{
public:
	Ball_Tracker()
	{
		this->parent = NULL;
		this->moduleId = 0;
		this->direction = -1.0f;
	}

	Ball_Tracker(uint32 trackerId)
	{
		this->parent = NULL;
		this->moduleId = trackerId;
		this->direction = -1.0f;
	}

protected:
	float direction;

public:
	void Update();

	float GetBallDirection()
	{
		return direction;
	}
};

#endif
